Subject: Bug in Win GDB ??
From: [email-masked] (Bijan Tuysserkani)

27 Jun 1997 18:46:34 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,

I am using b18 of cygnus-32.
After adding sh.exe to bin, removing -lX11 from the Makefile
and changing the position of tk/xlib/X11 to tk/generic/X11, I 
eventually got a running version of gdb.

I am writing a remote target for GDB and I tested it under
Solaris. It works fine so far. With each memory (target) request
I print out the core mem addr, the mem addr., and the length of the request.

If I define an array with :

ptype dmod_image
type = unsigned char [1024]

this type and do a print I my own debug info :

p dmod_image
gsut_xfer_memory - parameters :
     core mem addr : 2b904
     gdb mem adr   : 152838
     length        : 1024
     Writemode     : 0
....

This works fine under Unix, but when I run GDB Windows, I get this :

gsut_xfer_memory - parameters :
     core mem addr : 2b904
     gdb mem adr   : 36b3838
     length        : 1024
     Writemode     : 0
gsut_xfer_memory - parameters :
     core mem addr : 2b91b
     gdb mem adr   : 36b384f
     length        : 1001
     Writemode     : 0
gsut_xfer_memory - parameters :
     core mem addr : 2b932
     gdb mem adr   : 36b3866
     length        : 978
     Writemode     : 0

and so on. GDB reads 1024 Bytes from the right address. Then it reads
1024-23 Bytes,
from an address which is exactly 23 Bytes later and so on until it reads
only the rest 
12 Bytes. I thought somebody might know the answer why GDB is behaving that
way under
Windows and not under Unix. 

I am running Windows Nt 4.0 and the files I am debugging are in COFF Format.

Thanks,
	Bijan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".